Advanced Search

— Forum Scope —




— Match —





— Forum Options —





Minimum search word length is 3 characters - maximum search word length is 84 characters

mail_open
1and1.co.uk magento hosting say i am using an out dated version of PHP
David Patterson
Member
February 4, 2016 - 9:25 pm
Member Since: April 13, 2014
Forum Posts: 127
sp_UserOfflineSmall Offline

I know nothing about programming so a recent email from 1and1.co.uk magento hosting has me a bit confused.

I am currently running Magento ver. 1.8.1.0 on 1and1.co.uk hosting. Today i received the following email from 1and1.co.uk regarding PHP:

You are currently using PHP 5.4 which is an outdated PHP version. Since mid-September 2015, PHP 5.4 has not had any further development by the community.

Due to customer demand, we have continued to offer PHP 5.4 and want to ensure that you continue a secure and stable operation for your website. In order to do so, we have automatically transferred you to 1&1 Extended Support for PHP 5.4. With 1&1 Extended Support, you gain the benefit of ongoing security updates to keep your website protected, so you can continue to focus on your online content and presentation.
As a support service, 1&1 Extended Support for PHP 5.4 gives you time to plan the conversion to a more recent PHP version and implement it without pressure.

We are happy to provide this service. However, regular security inspections, adjustments and operation of these old versions of PHP are associated with rising costs, which has made it necessary for us to charge £5.31 per month for this service as of May 2016. We will send another reminder regarding this extra charge prior to the invoice.

If you no longer wish to use PHP 5.4, you can update your default PHP version in the 1&1 Control Panel at any time. All current PHP versions including the latest version, PHP 7, are free of charge.

My question is, is it OK for me to update my current PHP version to the latest version which is PHP 7, or will this affect magento?

Badeth - UE
Member
February 8, 2016 - 4:31 am
Member Since: October 23, 2015
Forum Posts: 513
sp_UserOfflineSmall Offline

Hi David,

I was wondering which hosting provider you are using…

But as far as I know Magento announced last month that it is supporting PHP 7. Check this article

So I bet there will be no issues upgrading to PHP 7

Cheers,
Badeth

 

Why Should You Join UnderstandingE?

 
  • Access to over 500 step-by-step video tutorials
  • +20 video courses available
  • Magento, M2E Pro, Magmi, eBay, Amazon & Design all covered
  • Everything is in 100% Plain English
  • Learn how to build your own multi-channel software for eBay & Amazon
  • Access to the community forums, meet fellow business owners like yourself

Join Now with 2 Clicks

 

Join now for less that £1 per day you can gain access to over 400 step-by-step video tutorials & learn how to build your very own multi-channel software.

 

Forum Timezone: Europe/London

Most Users Ever Online: 1012

Currently Online:
32 Guest(s)

Currently Browsing this Page:
1 Guest(s)

Top Posters:

Jim @ Moogento: 688

Steve Froggatt: 514

Badeth - UE: 513

Jimbob: 453

Paul Cartwright: 414

Forum Stats:

Groups: 6

Forums: 37

Topics: 5221

Posts: 27485

Administrators: Matthew Ogborne: 4565, Dave Furness: 4606